#ifndef __box_h__
#define __box_h__

#include "basebox.h"

class Box : public BaseBox {
private:
  void updateHandles();

public:
  Box(Frame* p, const Vector& ctr, const Vector& s, double a,
      const char* clr,  const char* f, const char* t, unsigned short prop);

  void editBegin(int);
  void edit(const Vector&, int);
  void editEnd();

  Vector getSize() {return size[0].abs();}
  void setSize(const Vector&);

  void list(ostream&, int, int, const char*);
  void listCiao(ostream&, int, int, const char*);
  void listFtools(ostream&, int, int, const char*);
  void listSAOtng(ostream&, int, int, const char*);
  void listSAOimage(ostream&, const char*);
  void listPros(ostream&, int, int, const char*);
};

#endif
